<?php

/**
 * @package SimplePortal ElkArte
 *
 * @author SimplePortal Team
 * @copyright 2015 SimplePortal Team
 * @license BSD 3-clause
 * @version 1.0.0 Beta 1
 */

// Configuration area
$txt['sp-adminConfiguration'] = 'Configuration';
$txt['sp-adminConfigurationDesc'] = 'This area allows you to view SimplePortal information and manage SimplePortal settings.';
$txt['sp-adminGeneralSettingsName'] = 'General Settings';
$txt['sp-adminBlockSettingsName'] = 'Block Settings';
$txt['sp-adminArticleSettingsName'] = 'Article Settings';

// General settings
$txt['portalactive'] = 'Enable SimplePortal';
$txt['sp_portal_mode'] = 'Portal Mode';
$txt['sp_portal_mode_options'] = 'Disabled|Front Page|Integration|Standalone';
$txt['sp_maintenance'] = 'Maintenance Mode';
$txt['sp_standalone_url'] = 'Standalone URL';
$txt['sp_disableForumRedirect'] = 'Disable Portal Redirection';
$txt['sp_disableColor'] = 'Disable Colored Member Links';
$txt['sp_disableMobile'] = 'Disable on mobile devices';
$txt['sp_disable_random_bullets'] = 'Disable Colored Bullets on Blocks';
$txt['sp_disable_php_validation'] = 'Disable PHP Validation';
$txt['sp_disable_php_validation_desc'] = 'Recommended value: Off';

$txt['sp_disable_side_collapse'] = 'Disable Side Collapsing';
$txt['portaltheme'] = 'Portal Theme';
$txt['portalthemedefault'] = 'Forum Default';
$txt['sp_resize_images'] = 'Resizes images on portal';

// Block settings
$txt['showleft'] = 'Enable Left Side Blocks';
$txt['showright'] = 'Enable Right Side Blocks';
$txt['leftwidth'] = 'Width of Left Side Blocks';
$txt['rightwidth'] = 'Width of Right Side Blocks';
$txt['sp_enableIntegration'] = 'Display Blocks in Forum';
$txt['sp_IntegrationHide'] = 'Hide Blocks in Forum Areas';
$txt['sp_IntegrationHide_desc'] = 'The <em>Display blocks in Forum</em> setting must be enabled for this to work';


// Article settings
$txt['sp_articles_index'] = 'Display Articles on Portal Page';
$txt['sp_articles_index_total'] = 'Total Articles on Portal Page';
$txt['sp_articles_index_per_page'] = 'Articles Per Page on Portal Page';
$txt['sp_articles_per_page'] = 'Articles Per Page on Article List';
$txt['sp_articles_comments_per_page'] = 'Articles Comments Per Page';
$txt['sp_articles_length'] = 'Maximum Characters Before Article Cut-off';

// Blocks area
$txt['sp-adminBlockListName'] = 'Block List';
$txt['sp-adminBlockInuse'] = 'Used in %s Block';
$txt['sp-adminBlockListDesc'] = 'This page displays a list of all blocks which have been created for the portal or the forum. To move a block to a new location you use a simple drag and drop action.';
$txt['sp-adminBlockAddName'] = 'Add Block';
$txt['sp-adminBlockAddDesc'] = 'This page enables new blocks to be created and added to the portal page or the forum.';
$txt['sp-adminBlockLeftListDesc'] = 'This page displays a list of all left side blocks which have been created. These blocks can be modified by selecting the appropriate options.';
$txt['sp-adminBlockRightListDesc'] = 'This page displays a list of all right side blocks which have been created. These blocks can be modified by selecting the appropriate options.';
$txt['sp-adminBlockTopListDesc'] = 'This page displays a list of all top area blocks which have been created. These blocks can be modified by selecting the appropriate options.';
$txt['sp-adminBlockBottomListDesc'] = 'This page displays a list of all bottom area blocks which have been created. These blocks can be modified by selecting the appropriate options.';
$txt['sp-adminBlockHeaderListDesc'] = 'This page displays a list of all header area blocks which have been created. These blocks can be modified by selecting the appropriate options.';
$txt['sp-adminBlockFooterListDesc'] = 'This page displays a list of all footer area blocks which have been created. These blocks can be modified by selecting the appropriate options.';

// Block list
$txt['sp-blocksBlocks'] = 'Blocks';
$txt['sp-blocksActive'] = 'Active';
$txt['sp-blocksActivate'] = 'Activate';
$txt['sp-blocksDeactivate'] = 'Deactivate';
$txt['sp-blocksCreate'] = 'Create %s Block';
$txt['sp-deleteblock'] = 'Are you sure you want to delete this block?';
$txt['sp-blocks_select_destination'] = 'Select destination for block \'<strong>%1$s</strong>\'';
$txt['sp-blocks_move_here'] = 'Move block here';
$txt['sp-blocks_cancel_moving'] = 'Cancel moving';
$txt['sp-blocks_success_moving'] = 'The block was successfully moved';
$txt['sp-blocks_fail_moving'] = 'There was an error trying to move the block';

// Add/Edit blocks
$txt['sp-blocksSelectType'] = 'Select Block Type';
$txt['sp-blocksAdd'] = 'Add Block';
$txt['sp-blocksEdit'] = 'Edit Block';
$txt['sp-blocksPreview'] = 'Preview';
$txt['sp-blocksDefaultLabel'] = 'Untitled';
$txt['sp-blocksDisabledBoth'] = 'Left and right side blocks are currently disabled';
$txt['sp-blocksDisabledLeft'] = 'Left side blocks are currently disabled';
$txt['sp-blocksDisabledRight'] = 'Right side blocks are currently disabled';
$txt['sp-blocksContent'] = 'Content';
$txt['sp-blocksColumn'] = 'Column';
$txt['sp_admin_blocks_col_permissions'] = 'Permissions';
$txt['sp-blocksRow'] = 'Order';
$txt['sp-blocksForce'] = 'Not Collapsible';
$txt['sp-blocksMobile'] = 'Show on mobile';
$txt['sp-blocksDisplayOptions'] = 'Display Options';
$txt['sp-blocksAdvancedOptions'] = 'Advanced Options';
$txt['sp-blocksShowBlock'] = 'Show Block On';
$txt['sp-blocksOptionAllPages'] = 'All Pages';
$txt['sp-blocksOptionAllActions'] = 'All Actions';
$txt['sp-blocksOptionAllBoards'] = 'All Boards';
$txt['sp-blocksOptionEverywhere'] = 'Everywhere';
$txt['sp-blocksSelectActions'] = 'Select Actions';
$txt['sp-blocksSelectBoards'] = 'Select Boards';
$txt['sp-blocksSelectPages'] = 'Select Pages';
$txt['sp_display_custom'] = 'Custom Display Options';
$txt['sp-blocksStyleOptions'] = 'Style Options';
$txt['sp-blocksTitleDefaultClass'] = 'Default Title Class';
$txt['sp-blocksTitleCustomClass'] = 'Custom Title Class';
$txt['sp-blocksTitleCustomStyle'] = 'Custom Title Style';
$txt['sp-blocksBodyDefaultClass'] = 'Default Body Class';
$txt['sp-blocksBodyCustomClass'] = 'Custom Body Class';
$txt['sp-blocksBodyCustomStyle'] = 'Custom Body Style';
$txt['sp-blocksNoTitle'] = 'No Title';
$txt['sp-blocksNoBody'] = 'No Body';

// Block labels
$txt['sp_function_sp_userInfo_label'] = 'Member Information';
$txt['sp_function_sp_latestMember_label'] = 'Latest Members';
$txt['sp_function_sp_whosOnline_label'] = 'Who\'s Online';
$txt['sp_function_sp_showPoll_label'] = 'Poll';
$txt['sp_function_sp_boardStats_label'] = 'Board Statistics';
$txt['sp_function_sp_quickSearch_label'] = 'Quick Search';
$txt['sp_function_sp_topPoster_label'] = 'Top Poster';
$txt['sp_function_sp_topStatsMember_label'] = 'Top Member Stats';
$txt['sp_function_sp_topBoards_label'] = 'Top Boards';
$txt['sp_function_sp_topTopics_label'] = 'Top Topics';
$txt['sp_function_sp_recent_label'] = 'Recent Posts/Topics';
$txt['sp_function_sp_boardNews_label'] = 'Board News';
$txt['sp_function_sp_news_label'] = 'Forum News';
$txt['sp_function_sp_attachmentImage_label'] = 'Recent Image Attachments';
$txt['sp_function_sp_attachmentRecent_label'] = 'Recent Attachments';
$txt['sp_function_sp_calendar_label'] = 'Calendar';
$txt['sp_function_sp_calendarInformation_label'] = 'Calendar Information';
$txt['sp_function_sp_rssFeed_label'] = 'RSS Feed';
$txt['sp_function_sp_theme_select_label'] = 'Theme Selection';
$txt['sp_function_sp_staff_label'] = 'Staff List';
$txt['sp_function_sp_articles_label'] = 'Articles';
$txt['sp_function_sp_shoutbox_label'] = 'Shoutbox';
$txt['sp_function_sp_gallery_label'] = 'Gallery';
$txt['sp_function_sp_arcade_label'] = 'Arcade';
$txt['sp_function_sp_shop_label'] = 'Shop';
$txt['sp_function_sp_blog_label'] = 'Blog';
$txt['sp_function_sp_menu_label'] = 'Forum Menu';
$txt['sp_function_sp_bbc_label'] = 'Custom BBC';
$txt['sp_function_sp_html_label'] = 'Custom HTML';
$txt['sp_function_sp_php_label'] = 'Custom PHP';

// Block descriptions
$txt['sp_function_sp_latestMember_desc'] = 'Displays the latest members and their registration dates.';
$txt['sp_function_sp_userInfo_desc'] = 'Displays member information if the viewer is logged in, and a login box if the viewer is a guest.';
$txt['sp_function_sp_whosOnline_desc'] = 'Displays the who\'s online list.';
$txt['sp_function_sp_showPoll_desc'] = 'Displays a poll with voting options if the viewer can vote, or the results if the viewer is unable to vote.';
$txt['sp_function_sp_boardStats_desc'] = 'Displays some statistical information about the forum.';
$txt['sp_function_sp_quickSearch_desc'] = 'Displays a simple quick search form.';
$txt['sp_function_sp_topPoster_desc'] = 'Displays the top posters with their post count and avatars.';
$txt['sp_function_sp_topStatsMember_desc'] = 'Displays various types of member stats.';
$txt['sp_function_sp_topBoards_desc'] = 'Displays a list of boards according to their activity.';
$txt['sp_function_sp_topTopics_desc'] = 'Displays a list topics according to their activity.';
$txt['sp_function_sp_recent_desc'] = 'Displays a list of the forums recent posts or topics.';
$txt['sp_function_sp_boardNews_desc'] = 'Displays a list of posts from a selected board.';
$txt['sp_function_sp_news_desc'] = 'Displays a random news line.';
$txt['sp_function_sp_attachmentImage_desc'] = 'Displays a list of recently attached images.';
$txt['sp_function_sp_attachmentRecent_desc'] = 'Displays a list of recent attachments.';
$txt['sp_function_sp_calendar_desc'] = 'Displays a full month calendar with all events.';
$txt['sp_function_sp_calendarInformation_desc'] = 'Displays calendar information such as birthdays, events and holidays.';
$txt['sp_function_sp_rssFeed_desc'] = 'Displays an RSS Feed.';
$txt['sp_function_sp_theme_select_desc'] = 'Displays a list of available themes and allows members to select one.';
$txt['sp_function_sp_staff_desc'] = 'Displays list of forum staff with their position and avatar.';
$txt['sp_function_sp_articles_desc'] = 'Displays recent or random articles.';
$txt['sp_function_sp_shoutbox_desc'] = 'Displays a shoutbox.';
$txt['sp_function_sp_gallery_desc'] = 'Displays a list of recent gallery items.';
$txt['sp_function_sp_arcade_desc'] = 'Displays various statistics from the arcade if an arcade mod is installed.';
$txt['sp_function_sp_shop_desc'] = 'Displays the richest members or various items from the shop if a shop mod is installed.';
$txt['sp_function_sp_blog_desc'] = 'Displays various information from the forum blog.';
$txt['sp_function_sp_menu_desc'] = 'Displays a vertical forum menu.';
$txt['sp_function_sp_bbc_desc'] = 'A custom block where BBC content can be added.';
$txt['sp_function_sp_html_desc'] = 'A custom block where HTML content can be added.';
$txt['sp_function_sp_php_desc'] = 'A custom block where PHP content can be added.';

// Block parameters
$txt['sp_param_sp_latestMember_limit'] = 'Members to Show';
$txt['sp_param_sp_whosOnline_online_today'] = 'Users Online Today';
$txt['sp_param_sp_boardStats_averages'] = 'Show Averages';
$txt['sp_param_sp_topPoster_limit'] = 'Top Posters to Display';
$txt['sp_param_sp_topPoster_type'] = 'Display';
$txt['sp_param_sp_topStatsMember_type'] = 'Type of the Top Member List';
$txt['sp_param_sp_topStatsMember_limit'] = 'Members to display';
$txt['sp_param_sp_topStatsMember_enable_label'] = 'Enable label for list';
$txt['sp_param_sp_topStatsMember_list_label'] = 'List label';
$txt['sp_param_sp_topStatsMember_sort_asc'] = 'Sort in reverse order';
$txt['sp_param_sp_topStatsMember_last_active_limit'] = 'Remove inactive Members from the List<br /><span class="smalltext">(Time in days)</span>';
$txt['sp_param_sp_recent_limit'] = 'Recent Posts or Topics to Display';
$txt['sp_param_sp_recent_type'] = 'Display';
$txt['sp_param_sp_recent_display'] = 'Display type';
$txt['sp_param_sp_recent_boards'] = 'Include boards';
$txt['sp_param_sp_topTopics_type'] = 'Sorting Type';
$txt['sp_param_sp_topTopics_limit'] = 'Topics to Display';
$txt['sp_param_sp_topBoards_limit'] = 'Boards to Display';
$txt['sp_param_sp_showPoll_topic'] = 'Topic ID';
$txt['sp_param_sp_showPoll_type'] = 'Type';
$txt['sp_param_sp_boardNews_board'] = 'Boards';
$txt['sp_param_sp_boardNews_limit'] = 'Topics to Display';
$txt['sp_param_sp_boardNews_start'] = 'Starting Post ID';
$txt['sp_param_sp_boardNews_length'] = 'Maximum Characters';
$txt['sp_param_sp_boardNews_avatar'] = 'Display Avatars';
$txt['sp_param_sp_boardNews_per_page'] = 'Posts Per Page';
$txt['sp_param_sp_attachmentImage_limit'] = 'Images to Display';
$txt['sp_param_sp_attachmentImage_direction'] = 'List Direction';
$txt['sp_param_sp_attachmentImage_disablePoster'] = 'Remove Image Poster\'s Name';
$txt['sp_param_sp_attachmentImage_disableDownloads'] = 'Remove image Download';
$txt['sp_param_sp_attachmentImage_disableLink'] = 'Remove Image Download Link';
$txt['sp_param_sp_attachmentRecent_limit'] = 'Attachments to Display';
$txt['sp_param_sp_calendar_events'] = 'Show Events';
$txt['sp_param_sp_calendar_birthdays'] = 'Show Birthdays';
$txt['sp_param_sp_calendar_holidays'] = 'Show Holidays';
$txt['sp_param_sp_calendarInformation_events'] = 'Show Events';
$txt['sp_param_sp_calendarInformation_future'] = 'Number of days in future to show events';
$txt['sp_param_sp_calendarInformation_birthdays'] = 'Show Birthdays';
$txt['sp_param_sp_calendarInformation_holidays'] = 'Show Holidays';
$txt['sp_param_sp_rssFeed_url'] = 'Feed URL';
$txt['sp_param_sp_rssFeed_show_title'] = 'Show Title';
$txt['sp_param_sp_rssFeed_show_content'] = 'Show Content';
$txt['sp_param_sp_rssFeed_show_date'] = 'Show Date';
$txt['sp_param_sp_rssFeed_strip_preserve'] = 'Tags to Preserve';
$txt['sp_param_sp_rssFeed_count'] = 'Items to Show';
$txt['sp_param_sp_rssFeed_limit'] = 'Character Limit';
$txt['sp_param_sp_staff_lmod'] = 'Disable Local Moderators';
$txt['sp_param_sp_articles_category'] = 'Category';
$txt['sp_param_sp_articles_limit'] = 'Articles to Display';
$txt['sp_param_sp_articles_type'] = 'Display Type';
$txt['sp_param_sp_articles_avatar'] = 'Author Avatar';
$txt['sp_param_sp_articles_length'] = 'Maximum Characters';
$txt['sp_param_sp_shoutbox_shoutbox'] = 'Shoutbox to Display';
$txt['sp_param_sp_gallery_limit'] = 'Items to Display';
$txt['sp_param_sp_gallery_type'] = 'Display';
$txt['sp_param_sp_gallery_direction'] = 'List Direction';
$txt['sp_param_sp_arcade_limit'] = 'Items to display';
$txt['sp_param_sp_arcade_type'] = 'Display';
$txt['sp_param_sp_shop_style'] = 'Display';
$txt['sp_param_sp_shop_limit'] = 'Items to display';
$txt['sp_param_sp_shop_type'] = 'Money type';
$txt['sp_param_sp_shop_sort'] = 'Item type';
$txt['sp_param_sp_blog_limit'] = 'Items to Display';
$txt['sp_param_sp_blog_type'] = 'Item Type';
$txt['sp_param_sp_blog_sort'] = 'Display';
$txt['sp_param_sp_html_content'] = 'Custom HTML';
$txt['sp_param_sp_bbc_content'] = 'Custom BBC';
$txt['sp_param_sp_php_content'] = 'Custom PHP';

// Parameter options
$txt['sp_param_sp_topPoster_type_options'] = 'All Time|Today|This Week|This Month';
$txt['sp_param_sp_topStatsMember_type_options'] = 'Total Time Logged In|Posts|Good Karma|Bad Karma|Total  Karma|Thank-O-Matic Top Given|Thank-O-Matic Top Received|Automatic Karma Good|Automatic Karma Bad|Automatic Karma Total|Advanced Reputation System Best|Advanced Reputation System Worst';
$txt['sp_param_sp_recent_type_options'] = 'Posts|Topics';
$txt['sp_param_sp_recent_display_options'] = 'Compact|Full';
$txt['sp_param_sp_topTopics_type_options'] = 'Replies|Views';
$txt['sp_param_sp_showPoll_type_options'] = 'Normal|Recent|Random';
$txt['sp_param_sp_attachmentImage_direction_options'] = 'Vertical|Horizontal';
$txt['sp_param_sp_articles_type_options'] = 'Latest|Random';
$txt['sp_param_sp_gallery_type_options'] = 'Latest|Random';
$txt['sp_param_sp_gallery_direction_options'] = 'Vertical|Horizontal';
$txt['sp_param_sp_arcade_type_options'] = 'Most Played|Best Players|Longest Champ';
$txt['sp_param_sp_shop_style_options'] = 'Members|Items';
$txt['sp_param_sp_shop_type_options'] = 'Total|Pocket|Bank';
$txt['sp_param_sp_shop_sort_options'] = 'Recent|Random';
$txt['sp_param_sp_blog_type_options'] = 'Articles|Blogs';
$txt['sp_param_sp_blog_sort_options'] = 'Latest|Random';

// Articles Area
$txt['sp_admin_articles_title'] = 'Articles';
$txt['sp_admin_articles_list'] = 'Article List';
$txt['sp_admin_articles_add'] = 'Add Article';
$txt['sp_admin_articles_edit'] = 'Edit Article';
$txt['sp_admin_articles_remove'] = 'Remove Articles';
$txt['sp_admin_articles_preview'] = 'Preview';
$txt['sp_admin_articles_general'] = 'General Settings';

$txt['sp_admin_articles_desc'] = 'You can create and manage SimplePortal articles in this area.';
$txt['sp_articles_remove_confirm'] = 'Are you sure that you want to remove the selected articles?';
$txt['sp_admin_articles_delete_confirm'] = 'Are you sure you want to delete this article?';
$txt['sp_error_article_name_empty'] = 'Sorry, you left the article name empty.';
$txt['sp_error_article_namespace_empty'] = 'Sorry, you left the article ID empty.';
$txt['sp_error_article_namespace_duplicate'] = 'Sorry, that article ID is already in use.';
$txt['sp_error_article_namespace_invalid_chars'] = 'Sorry, there are invalid characters in the article ID. Article ID\'s can only contain letters, numbers and underscores.';
$txt['sp_error_article_namespace_numeric'] = 'Sorry, article ID\'s cannot be only numbers. Article ID\'s need letters, and or an underscore';

$txt['sp_admin_articles_col_title'] = 'Title';
$txt['sp_admin_articles_col_namespace'] = 'Article ID';
$txt['sp_admin_articles_col_category'] = 'Category';
$txt['sp_admin_articles_col_author'] = 'Author';
$txt['sp_admin_articles_col_body'] = 'Body';
$txt['sp_admin_articles_col_type'] = 'Type';
$txt['sp_admin_articles_col_status'] = 'Active';
$txt['sp_admin_articles_col_date'] = 'Date';
$txt['sp_admin_articles_col_actions'] = 'Actions';
$txt['sp_admin_articles_col_permissions'] = 'Permissions';
$txt['sp_admin_articles_activate'] = 'Activate';
$txt['sp_admin_articles_deactivate'] = 'Deactivate';

$txt['sp_articles_default_title'] = 'Untitled Article';

$txt['sp_articles_type_bbc'] = 'BBC';
$txt['sp_articles_type_html'] = 'HTML';
$txt['sp_articles_type_php'] = 'PHP';

// Categories Area
$txt['sp_admin_categories_title'] = 'Categories';
$txt['sp_admin_categories_list'] = 'Category List';
$txt['sp_admin_categories_add'] = 'Add Category';
$txt['sp_admin_categories_edit'] = 'Edit Category';
$txt['sp_admin_categories_remove'] = 'Remove Categories';

$txt['sp_admin_categories_desc'] = 'You can create and manage SimplePortal categories in this area.';
$txt['sp_categories_remove_confirm'] = 'Are you sure that you want to remove the selected categories?';
$txt['sp_admin_categories_delete_confirm'] = 'Are you sure you want to delete this category?';
$txt['sp_error_category_name_empty'] = 'Sorry, you left the category name empty.';
$txt['sp_error_category_namespace_empty'] = 'Sorry, you left the category ID empty.';
$txt['sp_error_category_namespace_duplicate'] = 'Sorry, that category ID is already in use.';
$txt['sp_error_category_namespace_invalid_chars'] = 'Sorry, there are invalid characters in the category ID. Category ID\'s can only contain letters, numbers and underscores.';
$txt['sp_error_category_namespace_numeric'] = 'Sorry, category ID\'s cannot be only numbers. Category ID\'s need letters, and or an underscore';

$txt['sp_admin_categories_col_name'] = 'Name';
$txt['sp_admin_categories_col_namespace'] = 'Category ID';
$txt['sp_admin_categories_col_description'] = 'Description';
$txt['sp_admin_categories_col_articles'] = 'Articles';
$txt['sp_admin_categories_col_status'] = 'Active';
$txt['sp_admin_categories_col_actions'] = 'Actions';
$txt['sp_admin_categories_col_permissions'] = 'Permissions';
$txt['sp_admin_categories_activate'] = 'Activate';
$txt['sp_admin_categories_deactivate'] = 'Deactivate';

$txt['sp_categories_default_name'] = 'Unnamed Category';

// Pages Area
$txt['sp_admin_pages_title'] = 'Pages';
$txt['sp_admin_pages_list'] = 'Page List';
$txt['sp_admin_pages_add'] = 'Add Page';
$txt['sp_admin_pages_edit'] = 'Edit Page';
$txt['sp_admin_pages_remove'] = 'Remove Pages';
$txt['sp_admin_pages_preview'] = 'Preview';
$txt['sp_admin_pages_general'] = 'General Settings';
$txt['sp_admin_pages_style'] = 'Style Options';

$txt['sp_admin_pages_desc'] = 'You can create and manage SimplePortal pages in this area.';
$txt['sp_pages_remove_confirm'] = 'Are you sure that you want to remove the selected pages?';
$txt['sp_admin_pages_delete_confirm'] = 'Are you sure you want to delete this page?';
$txt['sp_error_page_name_empty'] = 'Sorry, you left the page name empty.';
$txt['sp_error_page_namespace_empty'] = 'Sorry, you left the page ID empty.';
$txt['sp_error_page_namespace_duplicate'] = 'Sorry, that page ID is already in use.';
$txt['sp_error_page_namespace_invalid_chars'] = 'Sorry, there are invalid characters in the page ID. Page ID\'s can only contain letters, numbers and underscores.';
$txt['sp_error_page_namespace_numeric'] = 'Sorry, page ID\'s cannot be only numbers. Page ID\'s need letters, and or an underscore';

$txt['sp_admin_pages_col_title'] = 'Title';
$txt['sp_admin_pages_col_namespace'] = 'Page ID';
$txt['sp_admin_pages_col_body'] = 'Body';
$txt['sp_admin_pages_col_type'] = 'Type';
$txt['sp_admin_pages_col_views'] = 'Views';
$txt['sp_admin_pages_col_status'] = 'Active';
$txt['sp_admin_pages_col_actions'] = 'Actions';
$txt['sp_admin_pages_col_permissions'] = 'Permissions';
$txt['sp_admin_pages_col_blocks'] = 'Blocks';
$txt['sp_admin_pages_activate'] = 'Activate';
$txt['sp_admin_pages_deactivate'] = 'Deactivate';

$txt['sp_pages_default_title'] = 'Untitled Page';

$txt['sp_pages_type_bbc'] = 'BBC';
$txt['sp_pages_type_html'] = 'HTML';
$txt['sp_pages_type_php'] = 'PHP';

// Shoutboxes Area
$txt['sp_admin_shoutbox_title'] = 'Shoutbox';
$txt['sp_admin_shoutbox_list'] = 'Shoutbox List';
$txt['sp_admin_shoutbox_add'] = 'Add Shoutbox';
$txt['sp_admin_shoutbox_edit'] = 'Edit Shoutbox';
$txt['sp_admin_shoutbox_prune'] = 'Prune Shoutbox';
$txt['sp_admin_shoutbox_remove'] = 'Remove Shoutboxes';

$txt['sp_admin_shoutbox_desc'] = 'You can create and manage SimplePortal shoutboxes in this area.';
$txt['sp_shoutbox_remove_confirm'] = 'Are you sure that you want to remove the selected shoutboxes?';
$txt['sp_admin_shoutbox_delete_confirm'] = 'Are you sure you want to delete this shoutbox?';
$txt['sp_error_no_shoutbox'] = 'There are no shoutboxes available.';
$txt['sp_error_shoutbox_name_duplicate'] = 'Sorry, there is already a shoutbox with that name.';

$txt['sp_admin_shoutbox_col_name'] = 'Name';
$txt['sp_admin_shoutbox_col_shouts'] = 'Shouts';
$txt['sp_admin_shoutbox_col_caching'] = 'Caching';
$txt['sp_admin_shoutbox_col_status'] = 'Status';
$txt['sp_admin_shoutbox_col_actions'] = 'Actions';
$txt['sp_admin_shoutbox_col_permissions'] = 'Permissions';
$txt['sp_admin_shoutbox_col_moderators'] = 'Moderators';
$txt['sp_admin_shoutbox_col_reverse'] = 'Reverse Order';
$txt['sp_admin_shoutbox_activate'] = 'Activate';
$txt['sp_admin_shoutbox_deactivate'] = 'Deactivate';

$txt['sp_shoutbox_default_name'] = 'Untitled Shoutbox';

$txt['sp_admin_shoutbox_col_warning'] = 'Warning';
$txt['sp_admin_shoutbox_col_bbc'] = 'Allowed BBC';
$txt['sp_admin_shoutbox_col_height'] = 'Height<span class="smalltext">(pixels)</span>';
$txt['sp_admin_shoutbox_col_num_show'] = 'Shouts to display';
$txt['sp_admin_shoutbox_col_num_max'] = 'Maximum shouts';
$txt['sp_admin_shoutbox_col_refresh'] = 'Auto refresh<span class="smalltext">(seconds)</span>';

$txt['sp_admin_shoutbox_opt_all'] = 'Delete all shouts';
$txt['sp_admin_shoutbox_opt_days'] = 'Delete shouts older than a number of days';
$txt['sp_admin_shoutbox_opt_member'] = 'Delete shouts posted by a member';

$txt['sp_admin_shoutbox_block_redirect_message'] = '<p>Congratulations, you have created a new shoutbox!</p>
<p>Although it won\'t be displayed anywhere within your forum yet. You will need to create a shoutbox block before your users can use the shoutbox.</p>
<p><a href="%s" class="linkbutton">Create a new shoutbox block</a>&nbsp;<a href="%s" class="linkbutton">List shoutboxes</a></p>';

// Profiles Area
$txt['sp_admin_profiles_title'] = 'Profiles';
$txt['sp_admin_profiles_add'] = 'Add Profile';
$txt['sp_admin_profiles_edit'] = 'Edit Profile';
$txt['sp_admin_profiles_remove'] = 'Remove Profiles';

$txt['sp_admin_permission_profiles_list'] = 'Permission Profiles List';
$txt['sp_admin_permission_profiles_add'] = 'Add Permission Profile';

$txt['sp_admin_profiles_desc'] = 'You can create and manage SimplePortal profiles in this area.';
$txt['sp_admin_profiles_delete_confirm'] = 'Are you sure you want to delete this profile?';
$txt['sp_profiles_remove_confirm'] = 'Are you sure that you want to remove the selected profiles?';
$txt['sp_error_profile_name_empty'] = 'Sorry, you left the profile name empty.';
$txt['sp_error_no_profiles'] = 'There are no profiles available.';

$txt['sp_admin_profiles_col_name'] = 'Name';
$txt['sp_admin_profiles_col_articles'] = 'Articles';
$txt['sp_admin_profiles_col_blocks'] = 'Blocks';
$txt['sp_admin_profiles_col_categories'] = 'Categories';
$txt['sp_admin_profiles_col_pages'] = 'Pages';
$txt['sp_admin_profiles_col_shoutboxes'] = 'Shoutboxes';
$txt['sp_admin_profiles_col_permissions'] = 'Permissions';
$txt['sp_admin_profiles_col_actions'] = 'Actions';

$txt['sp_profiles_default_name'] = 'Unnamed Profile';

$txt['sp_admin_profiles_permissions_membergroup'] = 'Membergroup';
$txt['sp_admin_profiles_permissions_allowed_short'] = 'A';
$txt['sp_admin_profiles_permissions_disallowed_short'] = 'X';
$txt['sp_admin_profiles_permissions_denied_short'] = 'D';
$txt['sp_admin_profiles_permissions_allowed'] = 'Allowed';
$txt['sp_admin_profiles_permissions_disallowed'] = 'Disallowed';
$txt['sp_admin_profiles_permissions_denied'] = 'Denied';

$txt['sp_admin_profiles_guests'] = 'Guests';
$txt['sp_admin_profiles_members'] = 'Members';
$txt['sp_admin_profiles_everyone'] = 'Everyone';

// General titles
$txt['sp-adminColumnAction'] = 'Action';
$txt['sp-adminColumnName'] = 'Name';

// Block list titles
$txt['sp-adminColumnType'] = 'Type';
$txt['sp-adminColumnMove'] = 'Move';

// Miscellaneous strings
$txt['sp-positionLeft'] = 'Left';
$txt['sp-positionTop'] = 'Top';
$txt['sp-positionBottom'] = 'Bottom';
$txt['sp-positionRight'] = 'Right';
$txt['sp-positionHeader'] = 'Header';
$txt['sp-positionFooter'] = 'Footer';
$txt['sp-placementBefore'] = 'Before';
$txt['sp-placementAfter'] = 'After';
$txt['sp-placementUnchanged'] = 'Unchanged';
$txt['sp-stateYes'] = 'Yes';
$txt['sp-stateNo'] = 'No';

// Information area
$txt['sp-info_title'] = 'Information';
$txt['sp-info_desc'] = 'Some useful system, and SimplePortal information.';
$txt['sp-info_live'] = 'Live from SimplePortal...';
$txt['sp-info_no_live'] = 'Sorry! At this time you are unable to connect to simpleportal.net\'s latest news file.';
$txt['sp-info_general'] = 'General Information';
$txt['sp-info_versions'] = 'Version Information';
$txt['sp-info_your_version'] = 'Your Version';
$txt['sp-info_current_version'] = 'Current Version';
$txt['sp-info_managers'] = 'Managers';
$txt['sp-info_intro'] = 'The SimplePortal Team wants to thank everyone who helped make SimplePortal what it is today, and the Elkarte Team for the great forum software. It wouldn\'t have been possible without you, our users, and Elkarte.';
$txt['sp-info_team'] = 'The Team';
$txt['sp-info_special'] = 'Special Thanks';
$txt['sp-info_and'] = 'and';
$txt['sp-info_anyone'] = 'For anyone we may have missed, thank you!';
$txt['sp-info_groups_pm'] = 'Project Managers';
$txt['sp-info_groups_dev'] = 'Developers';
$txt['sp-info_groups_support'] = 'Support Specialists';
$txt['sp-info_groups_customize'] = 'Customizers';
$txt['sp-info_groups_language'] = 'Language Managers';
$txt['sp-info_groups_marketing'] = 'Marketing';
$txt['sp-info_groups_beta'] = 'Beta Testers';
$txt['sp-info_groups_translators'] = 'Language Translators';
$txt['sp-info_translators_message'] = 'Thank you for your efforts in the internationalization of SimplePortal.';
$txt['sp-info_groups_founder'] = 'Founding Father of SimplePortal';
$txt['sp-info_groups_original_pm'] = 'Original Project Managers';
$txt['sp-info_fam_fam'] = 'Pretty Icons';
$txt['sp-info_fam_fam_message'] = 'Mark James for his <a href="http://www.famfamfam.com/lab/icons/silk/">Fam Fam Fam Silk Icons</a>.';
$txt['sp-info_contribute'] = 'Did you find SimplePortal useful? <a href="%s" target="_blank">Contribute to the project!</a>';

// Permissions
$txt['permissiongroup_sp'] = 'SimplePortal';
$txt['permissiongroup_simple_sp'] = 'SimplePortal';
$txt['permissionname_sp_admin'] = 'Administrate portal';
$txt['permissionhelp_sp_admin'] = 'This permission allows users to administrate SimplePortal.';
$txt['permissionname_sp_manage_blocks'] = 'Manage portal blocks';
$txt['permissionhelp_sp_manage_blocks'] = 'This permission allows users to manage SimplePortal blocks.';
$txt['permissionname_sp_manage_articles'] = 'Manage portal articles';
$txt['permissionhelp_sp_manage_articles'] = 'This permission allows users to manage SimplePortal articles.';
$txt['permissionname_sp_manage_pages'] = 'Manage portal pages';
$txt['permissionhelp_sp_manage_pages'] = 'This permission allows users to manage SimplePortal pages.';
$txt['permissionname_sp_manage_shoutbox'] = 'Manage portal shoutboxes';
$txt['permissionhelp_sp_manage_shoutbox'] = 'This permission allows users to manage SimplePortal shoutboxes.';
$txt['permissionname_sp_manage_profiles'] = 'Manage portal profiles';
$txt['permissionhelp_sp_manage_profiles'] = 'This permission allows users to manage SimplePortal profiles.';
$txt['permissionname_sp_manage_settings'] = 'Manage portal settings';
$txt['permissionhelp_sp_manage_settings'] = 'This permission allows users to manage SimplePortal settings.';

// Compatibility strings
$txt['sp-adminCatHelp'] = 'Here you can manage and configure SimplePortal.';
$txt['sp-adminCatDesc'] = 'Here you can manage and configure SimplePortal.';

// Errors
$txt['sp_form_errors_detected'] = 'The following error or errors occurred while saving or editing:';